/*
 * (C) 2007, Tom Wheeler.  All rights reserved.
 */

package com.tomwheeler.demo.jcr.worldinfo.gui;

import com.tomwheeler.demo.jcr.worldinfo.Country;
import java.awt.Component;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

/**
 * <p>
 * This is simply a custom JList renderer that displays the
 * name of country in the model.
 * </p>
 */
public class CountryListRenderer extends JLabel implements ListCellRenderer {
    
    public CountryListRenderer() {
        setOpaque(true);
    }

    public Component getListCellRendererComponent(JList list, 
            Object val, int idx, boolean isSelected, boolean hasFocus) {
        
        if (isSelected) {
            setBackground(list.getSelectionBackground());
            setForeground(list.getSelectionForeground());
        } else {
            setBackground(list.getBackground());
            setForeground(list.getForeground());
        }

        Country country = (Country)val;
        setText(country.getName());

        return this;
    }
}