/*
 * (C) 2007, Tom Wheeler.  All rights reserved.
 */

package com.tomwheeler.demo.jcr.worldinfo;

import java.io.IOException;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author twheeler
 */
public class DataAccessExceptionTest {

    private DataAccessException stringOnly;
    private DataAccessException rootCauseOnly;
    private DataAccessException rootCauseAndString;
    private IOException rootException;

    @Before
    public void setUp() throws Exception {

        rootException = new IOException();

        stringOnly = new DataAccessException("message");
        rootCauseOnly = new DataAccessException(rootException);
        rootCauseAndString = new DataAccessException("message", rootException);
    }

    @Test
    public void getMessage() {
        assertEquals("message", stringOnly.getMessage());
        assertEquals("message", rootCauseAndString.getMessage());

        assertEquals(rootException.getClass().getName(), rootCauseOnly.getMessage());
    }

    @Test
    public void getRootCause() {
        assertNull(stringOnly.getCause());
        assertEquals(rootException, rootCauseOnly.getCause());
        assertEquals(rootException, rootCauseAndString.getCause());
    }
}