/*
 * (C) 2007, Tom Wheeler.  All rights reserved.
 */

package com.tomwheeler.demo.jcr.worldinfo;

import java.io.File;
import javax.jcr.Session;
import org.junit.Test;
import static org.junit.Assert.*;

public class RepoManagerTest {

    @Test
    public void deleteRepository() throws Exception {
        // will force a new repository to be created
        RepoManager.getSession();
        
        File repoPathAsFile = new File("repository");
        File dataPathAsFile = new File(repoPathAsFile, "data");
        File logPathAsFile = new File(dataPathAsFile, "logs");
        File storagePathAsFile = new File(dataPathAsFile, "storage");
        
        assertTrue(repoPathAsFile.exists());
        assertTrue(dataPathAsFile.exists());
        assertTrue(logPathAsFile.exists());
        assertTrue(storagePathAsFile.exists());
        
        RepoManager.deleteRepository();

        // Should NOT have been deleted
        assertTrue(repoPathAsFile.exists());
        
        // Should have been deleted
        assertFalse(dataPathAsFile.exists());
        assertFalse(logPathAsFile.exists());
        assertFalse(storagePathAsFile.exists());
    }

    @Test
    public void getSession() {
        Session session = RepoManager.getSession();
        assertNotNull(session);
        assertTrue(session.isLive());
    }
}
